﻿using EvaPosSrvDTO;
using EvaPosSrvResp;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace gatewayGK.RespuestasXML.Suspend
{
    public class SuspendTransactionResponse : Respuesta
    {
        public int RequestID { get; set; }
        private string _xml;

        public SuspendTransactionResponse(int sessionId,
                                       TipoMensaje messageType,
                                       int requestID) : base(sessionId, messageType)
        {
            RequestID = requestID;
        }
        public override string TextoXML
        {
            get => _xml = $"""
                        <?xml version="1.0" encoding="UTF-8"?>
                        <schema:SuspendTransactionResponse xmlns:schema="http://bc.si.retail.ibm.com/POSBCSchema">
                          <SuspendTransactionResult>
                            <RequestID>{RequestID}</RequestID>
                          </SuspendTransactionResult>
                        </schema:SuspendTransactionResponse>
                        """;
        }
    }
}
